---
updatedAt: 2026-06-02T21:08:59.000Z
agentTools:
  projectIndex: https://docs.bridgeft.com/llms.txt
---

# Create an Advisor Code

Returns the created Advisor Code, if successful.

**Note for Advisor Code Mapping in Sandbox Applications**
To preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only
and requests for creation or deletion of advisor codes will not result in updates to advisor code mappings.
Sandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not
be reflected upon updates.

For production applications, full access is granted to the advisor code mapping endpoints. Creations and removals
of advisor codes will be applied to the advisor codes mapped to the application.


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Wealthtech API",
    "description": "RESTful API for controlling and interacting with Atlas data",
    "version": "2.6.0"
  },
  "servers": [
    {
      "url": "https://api.bridgeft.com/v2"
    }
  ],
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/org/advisor-codes": {
      "post": {
        "tags": [
          "Advisor Codes"
        ],
        "summary": "Create an Advisor Code",
        "description": "Returns the created Advisor Code, if successful.\n\n**Note for Advisor Code Mapping in Sandbox Applications**\nTo preserve the data integrity of sandbox applications, the advisor code mapping endpoints are read-only\nand requests for creation or deletion of advisor codes will not result in updates to advisor code mappings.\nSandbox applications can read advisor codes from the `/v2/org/advisor-codes` endpoint, but the changes will not\nbe reflected upon updates.\n\nFor production applications, full access is granted to the advisor code mapping endpoints. Creations and removals\nof advisor codes will be applied to the advisor codes mapped to the application.\n",
        "operationId": "createAdvisorCode",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/page"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "firm_id",
                  "code",
                  "source"
                ],
                "properties": {
                  "firm_id": {
                    "title": "Firm ID",
                    "description": "ID of the Firm that the Advisor Code belongs to. This is required to create the advisor code. Application Firm IDs can be found using the `GET /v2/org/firms endpoint`.",
                    "type": "integer",
                    "example": 39
                  },
                  "code": {
                    "title": "Code",
                    "description": "The advisor code. Eligible characters are limited to numbers 0-9, letters A-Z (upper and lowercase), and characters `-` and `_`. If your advisor code includes additional characters, please create a support ticket, so that our team can accommodate.",
                    "type": "string",
                    "example": "NEWCODE"
                  },
                  "source": {
                    "title": "Source Custodian",
                    "description": "The custodian the advisor code belongs to. ALT=Altruist, APX=Apex Fintech Solutions, AXO=Axos Advisory Services, DST=DST Systems, FPR=Fidelity 401k/403b, IBK=Interactive Brokers, NFS=Fidelity Investments, PER=Pershing, PTA=Pontera, SEI=SEI Investments, SWB=Charles Schwab, EGB=Eaglebrook, MLT=Millenium Trust, TIA=TIAA Financial Services, WFO=Wells Fargo",
                    "type": "string",
                    "example": "APX",
                    "enum": [
                      "ALT",
                      "APX",
                      "AXO",
                      "DST",
                      "FPR",
                      "IBK",
                      "NFS",
                      "PER",
                      "PTA",
                      "SEI",
                      "SWB",
                      "EGB",
                      "MLT",
                      "TIA",
                      "WFO"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Created Advisor Code",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "title": "Object ID",
                      "description": "Unique ID for the Advisor Code Object",
                      "type": "integer"
                    },
                    "firm_id": {
                      "title": "Firm ID",
                      "description": "ID of the Firm that the Advisor Code belongs to",
                      "type": "integer",
                      "example": 39
                    },
                    "code": {
                      "title": "Code",
                      "description": "The advisor code",
                      "type": "string"
                    },
                    "source": {
                      "title": "Source Custodian",
                      "description": "The custodian the advisor code belongs to ALT=Altruist, APX=Apex Fintech Solutions, AXO=Axos Advisory Services, DST=DST Systems, FPR=Fidelity 401k/403b, IBK=Interactive Brokers, NFS=Fidelity Investments, PER=Pershing, PTA=Pontera, SEI=SEI Investments, SWB=Charles Schwab, EGB=Eaglebrook, MLT=Millenium Trust, TIA=TIAA Financial Services, WFO=Wells Fargo",
                      "type": "string",
                      "enum": [
                        "ALT",
                        "APX",
                        "AXO",
                        "DST",
                        "EGB",
                        "FPR",
                        "IBK",
                        "MLT",
                        "NFS",
                        "PER",
                        "PTA",
                        "SEI",
                        "SWB",
                        "TIA",
                        "WFO"
                      ]
                    },
                    "created_at_utc": {
                      "description": "Timestamp for when the record was created",
                      "type": "string",
                      "format": "date-time"
                    },
                    "updated_at_utc": {
                      "description": "Timestamp for when the record was updated",
                      "type": "string",
                      "format": "date-time"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/paths/~1jobs~1/get/responses/400"
          }
        }
      }
    },
    "/jobs/": {
      "get": {
        "tags": [
          "Jobs"
        ],
        "summary": "List all Jobs",
        "description": "Returns a list of jobs",
        "operationId": "getJobs",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/page"
          }
        ],
        "responses": {
          "200": {
            "description": "An enveloped list of Jobs",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "example": "list"
                    },
                    "has_next": {
                      "type": "boolean"
                    },
                    "has_previous": {
                      "type": "boolean"
                    },
                    "current_page": {
                      "type": "integer",
                      "example": 2
                    },
                    "total_pages": {
                      "type": "integer",
                      "example": 5
                    },
                    "page_size_limit": {
                      "type": "integer",
                      "example": 10000
                    },
                    "total_items": {
                      "type": "integer",
                      "example": 50
                    },
                    "data": {
                      "$ref": "#/components/schemas/Jobs"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "limit": {
        "name": "pager.limit",
        "in": "query",
        "description": "Number of items to return per page",
        "required": false,
        "schema": {
          "type": "integer"
        },
        "example": 10000
      },
      "page": {
        "name": "pager.page",
        "in": "query",
        "description": "Current page number",
        "required": false,
        "schema": {
          "type": "integer"
        },
        "example": 1
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "required": [
          "message"
        ],
        "properties": {
          "message": {
            "type": "string"
          },
          "validation_errors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Bearer"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```